Name: inamik-tableformatter
Version: 0.96.2
Release: 5%{?dist}
Summary: A set of Java classes to print text in tabulated form
License: GPLv2+
Group: Development/Libraries
URL: http://trac.inamik.com/trac/jtable_format
# Downloaded manually from http://download.inamik.com/jtable_format/
Source0: com.inamik.utils.tableformatter-%{version}-src.tar.gz
Patch0: inamik-tableformatter-buildfixes.patch
BuildArch: noarch
BuildRequires: java-devel >= 1.5.0
BuildRequires: jpackage-utils
BuildRequires: ant
Requires: java >= 0:1.5.0
Requires: jpackage-utils

%description
A set of Java classes to print text in tabulated form. With these
classes you can organize 'cells' of data into rows and columns. Each
cell can contain multiple lines of text and may specify a horizontal
alignment (left, center, right) and a vertical alignment (top, center,
bottom). When you are ready to print the data, these classes will
ensure that all cells in a given column have the same width and all
cells in a given row have the same height.

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n com.inamik.utils.tableformatter-%{version}
%patch0 -p1 -b .buildfixes

%build
ant

# Sanitize line endings
find -name \*.txt -print0 | xargs -0 -e sed -i 's/\r//'
sed -i 's/\r//' TestTableFormatter.java

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/com.inamik.utils.tableformatter-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/com.inamik.utils.tableformatter.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rf javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt TODO.txt VERSION.txt TestTableFormatter.java
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu May 12 2011 Karel Klíč <kklic@redhat.com> - 0.96.2-3
- Include the license file in the javadoc subpackage

* Mon May  2 2011 Karel Klíč <kklic@redhat.com> - 0.96.2-2
- Renamed the package from com.inamik.tableformatter to inamik-tableformatter
- Require jpackage-utils by -javadoc package (needed for directory)

* Tue Apr 26 2011 Karel Klíč <kklic@redhat.com> - 0.96.2-1
- Initial packaging
